/** @file ccp_coverage.cpp
 *
 * @author Alexander Kamkin (kamkin@ispras.ru)
 */

#include <ccp_coverage.h>
#include <ccp_model.h>

namespace cpptesk {
namespace examples {
namespace ccp {

CacheCoherenceCoverage::CCP_COVERAGE CacheCoherenceCoverage::cov(void) const
{
    return CacheCoherenceCoverage::CCP_COVERAGE::OK;
}

void CacheCoherenceCoverage::track_cov(void)
{
    coverageTracker << CacheCoherenceCoverage::cov();
}

}}} // namespace cpptesk::examples::ccp
